*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    background-color: rgb(0, 0, 0);
    font-family: 'Poppins',sans-serif;
}
.navbar{
    display: flex;
    align-items: center;
    padding: 20px;
}
nav{
    flex: 1;
    text-align: right;
}
nav ul{
    display: inline-block;
    list-style-type: none;
}
nav ul li{
    display: inline-block;
    margin-right: 20px;
}
a{
    text-decoration: none;
    color: #ffffff;
}
p{
    color: #ffffff;
}
.container{
    max-width: 1300px;
    margin: auto;
    padding-left: 25px;
    padding-right: 25px;

}
.row{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-around;
}
.col-2 h1{
    color: aliceblue;
}
.col-2 p{
    color: rgb(129, 129, 129);
    font-size: larger;
}
.col-2{
    flex-basis: 50%;
    min-width: 300px;
}
.col-2 img{
    max-width: 100%;
    padding: 50px 0;
}
.btn{
    display: inline-block;
    background: #c4c4c4;
    color: #000000;
    padding: 8px 30px;
    margin: 30px 0;
    border-radius: 30px;
    transition: background 0.5s;
}
.btn:hover{
    background: #4e4e4e;
}
.header .row{
    margin-top: 70px;
}


/*-----------summer speacial deals------*/
.Summer h2 {
    font-size: xx-large;
    text-decoration: solid;
    display: block;
    padding: 50px;
    color: #f5f5f5;
    text-align: center;
}
.col-3 h3{
    color: #bbbbbb;
}
.col-3 h4{
    color: #ffffff;
    padding-left: -50%;
    text-align: center;
    font-size: 15px;
}
.title{
    text-align: center;
    margin: 0 auto 30px;
    position: relative;
    line-height: 60px;
    color: #555;
}
.title::after{
    content: '';
    background: #ff523b;
    width: 280px;
    height: 5px;
    border-radius: 5px;
    position: absolute;
    bottom: 45px;
    left: 50%;
    transform: translateX(-50%);
}
.col-3{
    flex-basis: 25%;
    padding: 10px;
    min-width: 200px;
    margin-bottom: 50px;
    transition: transform 0.5s;
}
.col-3:hover{
    transform: translateY(-10px
    );
}
/*-----------featured products-----*/

.small-container  h2 {
    padding-top: 5%;
    font-size: xx-large;
    text-decoration: solid;
    display: block;
    
    color: #ffffff;
    text-align: center;
}
.small-container h4 {
    color: #f5f5f5;
    
}
.col-4{
    flex-basis: 25%;
    padding: 10px;
    min-width: 200px;
    margin-bottom: 50px;
    transition: transform 0.5s;
}
.col-4 img{
    width: 75%;

}
.col-4 h4{
    padding-left: -50%;
    text-align: center;
    font-size: 15px;
}
.rating{
    padding-top: 4%;
    padding-left: 15%;
    align-items: center;
}
.col-4 p{
    font-size: 30px;
    padding-top: 2%;
    padding-left: 15%;
    text-align: left;
}
.title-2{
    text-align: center;
    margin: 0 auto 80px;
    position: relative;
    line-height: 60px;
    color: #555;
}
.title-2::after{
    content: '';
    background: #ff523b;
    width: 200px;
    height: 5px;
    border-radius: 5px;
    position: absolute;
    bottom: 1px;
    left: 50%;
    transform: translateX(-50%);
}
.col-4:hover{
    transform: translateY(-10px
    );
}
/*------offer section----*/
.col-5{
    padding-top: 80px;
    padding-bottom: 60px;
}
.col-5 p{
    color: #bbbbbb;
    padding-bottom: -150px;
}
.col-5 h2{
    padding-right: 450px;
}
.col-5 img{
   padding-left: 350px;
   height: auto;
   transition: transform 0.8s ease;
   cursor: pointer;
}
.col-5 img:hover{
    transform: scale(1.2); /* Zoom in 20% */
}
.offer{
    background-image: radial-gradient(#300000,#000000);

    margin-top: 80px;
    padding: 30px 0;
}
/*----------------------testimonials--------*/
.testimonial{
   background-color: #e9e9e9;
   padding-top: 60px;
}
.testimonial h1{
    padding-bottom: 20px;
    color: #000000;
    text-align: center;
}
.testimonial p{
    color: #000000;
}
.testimonial h3{
    color: #000000;
}
.testimonial .col-3{
    text-align: center;
    padding: 40px 20px;
    box-shadow: 0 0 20px 0px rgb(0,0,0,0.1);
    cursor: pointer;
    transition: transform 0.5s ease;
}
.testimonial .col-3 img{
    width: 80px;
    height: 70px;
    margin-top: 20px;
    border-radius: 50%;
}
.testimonial .col-3:hover{
    transform:scale(1.2) ;
}
/*-------------------------brands----------------*/
.brands {
    background-color: #e9e9e9;
  
}
.brands h1{
    padding-top: 3%;
    text-align: center;
    color: #555;
}
.col-3{
    width: 160px;
}
.col-3-apple img{
    width: 50px;
    transition: transform 0.5s;
    cursor: pointer;
}
.col-3-apple img:hover{
    transform: translateY(-10px
    );
}
.brands .col-3 img{
    padding: auto;
    margin-top: 10%;
    margin-left: 30%;
    width: 40%;
    cursor: pointer;
    
}
.brands .col-3 img:hover{
    filter: grayscale(0%);
}
/*-----------------footer---------------*/

.footer{
    background-color: #0e0e0e;
    color: #8a8a8a;
    font-size: 14px;
    padding: 60px 0 20px;
}
.footer p{
    color: #8a8a8a;
}
.footer h3{
    color: #fff;
    margin-bottom: 20px;
}
.footer-col-1, .footer-col-2, .footer-col-3, .footer-col-4{
    min-width: 250px;
    margin-bottom: 20px;
}
.footer-col-1{
    flex: 1;
    text-align: center;
}
.footer-col-2{
    flex: 1;
    text-align: center;
}
.footer-col-2 img{
    width: 180px;
    margin-bottom: 20px;
}
.footer-col-3, .footer-col-4{
    flex-basis: 12%;
    text-align: center;
}
ul{
    list-style-type: none;
}
.app-logo{
    margin-top: -10px;
}
.app-logo img{
    width: 40%;
}